{-# LANGUAGE CPP #-}
#if __GLASGOW_HASKELL__
{-# LANGUAGE MagicHash, BangPatterns, DeriveDataTypeable, StandaloneDeriving #-}
#endif
#if !defined(TESTING) && __GLASGOW_HASKELL__ >= 703
{-# LANGUAGE Trustworthy #-}
#endif
module Data.StrictPair (strictPair) where

-- | Evaluate both argument to WHNF and create a pair of the result.
strictPair :: a -> b -> (a, b)
strictPair x y = x `seq` y `seq` (x, y)
{-# INLINE strictPair #-}
